## boinc 7.2.47+dfsg

=== samples/example_app/Makefile ===
# This should work on Linux.  Modify as needed for other platforms.

BOINC_DIR = ../..
BOINC_API_DIR = $(BOINC_DIR)/api
BOINC_LIB_DIR = $(BOINC_DIR)/lib
BOINC_ZIP_DIR = $(BOINC_DIR)/zip
FREETYPE_DIR = /usr/include/freetype2

CXXFLAGS += -g \
	-Wall -W -Wshadow -Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings -fno-common \
    -DAPP_GRAPHICS \
    -I$(BOINC_DIR) \
    -I$(BOINC_LIB_DIR) \
    -I$(BOINC_API_DIR) \
    -I$(BOINC_ZIP_DIR) \
    -I$(FREETYPE_DIR) \
    -L /usr/X11R6/lib \
    -L.

# to get the graphics app to compile you may need to install some packages
# e.g. ftgl-devel.x86_64
#
# You may have to change the paths for your system.

ifeq ($(wildcard /usr/local/lib/libglut.a),)
	LIBGLUT = /usr/local/lib/libglut.a
	LIBGLU = /usr/local/lib/libGLU.a
	LIBJPEG = /usr/local/lib/libjpeg.a
else
# NOTE: to make your app portable you'll need the static (.a) versions
# of libglut, libGLU, and libjpeg.
# You may have to build these from source.
	#LIBGLUT = /usr/lib64/libglut.a
	#LIBGLU = /usr/lib64/libGLU.a
	#LIBJPEG = /usr/lib64/libjpeg.a
	LIBGLUT = -lglut
	LIBGLU = -lGLU
	LIBJPEG = -ljpeg
endif

PROGS = uc2 \
# uc2_graphics
# make this optional so compile doesn't break on systems without OpenGL

all: $(PROGS)

libstdc++.a:
	ln -s `g++ -print-file-name=libstdc++.a`

ttfont.cpp:
	ln -s ../../api/ttfont.cpp .

clean: distclean

distclean:
	/bin/rm -f $(PROGS) *.o libstdc++.a

install: uc2

# specify library paths explicitly (rather than -l)
# because otherwise you might get a version in /usr/lib etc.

uc2: uc2.o libstdc++.a $(BOINC_API_DIR)/libboinc_api.a $(BOINC_LIB_DIR)/libboinc.a
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS) -o uc2 uc2.o libstdc++.a -pthread \
	$(BOINC_API_DIR)/libboinc_api.a \
	$(BOINC_LIB_DIR)/libboinc.a

uc2_graphics: uc2_graphics.o ttfont.o libstdc++.a $(BOINC_LIB_DIR)/libboinc.a $(BOINC_API_DIR)/libboinc_graphics2.a
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS) -o uc2_graphics uc2_graphics.o ttfont.o libstdc++.a -pthread \
	$(BOINC_API_DIR)/libboinc_graphics2.a \
	$(BOINC_API_DIR)/libboinc_api.a \
	$(BOINC_LIB_DIR)/libboinc.a \
    $(LIBGLUT) $(LIBGLU) $(LIBJPEG) \
    -lftgl -lGL -lX11 -lXmu -lm

slide_show: slide_show.o libstdc++.a $(BOINC_LIB_DIR)/libboinc.a $(BOINC_API_DIR)/libboinc_graphics2.a
	$(CXX) $(CXXFLAGS) -o slide_show slide_show.o libstdc++.a -pthread \
	$(BOINC_API_DIR)/libboinc_graphics2.a \
	$(BOINC_API_DIR)/libboinc_api.a \
	$(BOINC_LIB_DIR)/libboinc.a \
	$(BOINC_ZIP_DIR)/libboinc_zip.a \
    $(LIBGLUT) $(LIBGLU) $(LIBJPEG) \
    -lGL -lX11 -lXmu -lm

=== debian/changelog ===
boinc (7.2.47+dfsg-3~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1325324)

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 28 Jun 2015 20:31:38 -0500

boinc (7.2.47+dfsg-3) unstable; urgency=medium

  * Fix typo in debian/rules, we were unnecessarily building
    server stuff.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 24 May 2014 23:57:56 +0200

boinc (7.2.47+dfsg-2) unstable; urgency=medium

  * samples/zip/unzip only built with server.
  * Revert Versioned dependency on libcurl4-openssl-dev (>= 7.36.0)
    the build failure caused by old libcurl seems fixed.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 03 May 2014 15:15:32 +0200

boinc (7.2.47+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Versioned dependency on libcurl4-openssl-dev (>= 7.36.0) [moeller]

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Sat, 05 Apr 2014 20:46:17 -0400

boinc (7.2.44+dfsg-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Sat, 05 Apr 2014 13:09:31 -0400

boinc (7.2.43+dfsg-1) UNRELEASED; urgency=medium

  * New upstream release. (only bumped the version)

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Sat, 05 Apr 2014 12:51:38 -0400

=== debian/control ===
Source: boinc
Section: net
Priority: optional
Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>, 
 Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
 Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9), po-debconf, pkg-config,
 dpkg-dev (>= 1.16.1.1),
 libtool, autoconf, autotools-dev, automake, gettext,
 docbook2x, docbook-xml, libxml2-utils,
 zlib1g-dev, libssl-dev, libcurl4-openssl-dev,
 libsm-dev, libice-dev, libxmu-dev, libxi-dev, libx11-dev, libnotify-dev (>= 0.7.0),
 freeglut3-dev, libwxgtk2.8-dev, libgtk2.0-dev,
 libsqlite3-dev, libmysqlclient-dev, python, libfcgi-dev, libjpeg-dev,
 libxcb-util0-dev, libxcb-dpms0-dev,
 libxss-dev, libxext-dev
Homepage: http://boinc.berkeley.edu/
Vcs-Git: git://anonscm.debian.org/pkg-boinc/boinc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-boinc/boinc.git

Package: boinc
Architecture: all
Depends: ${misc:Depends},
 boinc-client (>= ${binary:Version}), boinc-manager (>= ${binary:Version})
Description: metapackage for the BOINC client and the manager
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 This package depends both on the BOINC core client program that is
 required to participate in any project that uses BOINC, and the
 BOINC Manager, a graphical monitor and control utility for the
 BOINC core client.

# Not compatible with Wheezy with direct notion of libcuda1:i386 [amd64]
Package: boinc-nvidia-cuda
Architecture: amd64 i386
Section: contrib/net
Priority: extra
Depends: ${misc:Depends}, boinc, libcuda1 | libcuda-5.0-1 | nvidia-304 | nvidia-310 | nvidia-319,
Recommends: libcuda1-i386 [amd64] | libcuda-5.0-1-i386 [amd64]
Description: metapackage for CUDA-savvy BOINC client and manager
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 Regular users (righteously) often find it an unbearable nuisance to
 care for the exact configuration of BOINC for CUDA-savvy graphics
 cards. This package adds a series of dependencies from the non-free
 section to the regular boinc package. This also meant this binary
 package to be redistributed in the contrib section of Debian.

Package: boinc-amd-opencl
Architecture: amd64 i386
Section: contrib/net
Priority: extra
Depends: ${misc:Depends}, boinc, fglrx-driver, amd-libopencl1|fglrx|fglrx-updates
Description: metapackage for AMD/ATI OpenCL-savvy BOINC client and manager
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 Regular users (righteously) often find it an unbearable nuisance to
 care for the configuration of BOINC for the OpenCL-savvy AMD/ATI
 graphics cards.  This package adds a series of dependencies from the
 non-free section to the regular boinc package. This also meant this
 binary package to be redistributed in the contrib section of Debian.
 .
 This package is not perfect, yet. A major problem for the moment
 is the availability of the OpenCL driver for 32bit binaries for
 amd64. If this is planned, install the amd-app package provided
 through the AMD developer forum.

Package: boinc-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libboinc7 (= ${binary:Version}),
 ${python:Depends},
 adduser,
 ca-certificates
Suggests: boinc-manager, x11-xserver-utils, libcuda1-i386 [amd64] | libcuda-5.0-1-i386 [amd64]
Description: core client for the BOINC distributed computing infrastructure
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 This package contains the BOINC core client program that is required
 to participate in any project that uses BOINC. A central server
 distributes work units and collects results via this client. When
 attaching a local machine to a project, this client will also
 dynamically download the scientific data and executables to be then
 wrapped by the BOINC core client.

Package: boinc-manager
Section: x11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: boinc-client
Suggests: libgl1-mesa-glx, libxt6
Description: GUI to control and monitor the BOINC core client
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains the BOINC Manager, a graphical monitor and
 control utility for the BOINC core client. It gives a detailed
 overview of the state of the client it is monitoring, as there are
  * attached projects
  * running tasks
  * file transfers between the client and project servers
  * statistics about granted credits and disk usage for every project
  * constraints on CPU usage
 The BOINC Manager has two modes of operation, the "Simple View" in which
 it only displays the most important information and the "Advanced View"
 in which all information and all control elements are available.
 .
 For active participation in any BOINC project the recommended
 boinc-client package, not the boinc-manager, is required for every
 machine contributing.

Package: boinc-dev
Section: oldlibs
Architecture: all
Priority: extra
Depends: ${misc:Depends}, libboinc-app-dev (= ${source:Version})
Description: development files to build applications for BOINC projects
 Dummy transitional package helping the transition of a split of
 architecture-independent development files and the architecture-dependent
 dynamic libraries.  Static libraries are no longer redistributed.

Package: libboinc-app-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends},
 libboinc7 (>= ${source:Version}),
 libboinc7 (<< ${source:Version}+1~),
 libboinc-app7 (>= ${source:Version}),
 libboinc-app7 (<< ${source:Version}+1~),
 libc6-dev | libc-dev,
 libstdc++6-4.7-dev | libstdc++-dev, libssl-dev, libmysqlclient-dev
Breaks: boinc-dev (<< 7.0.28+dfsg-3)
Replaces: boinc-dev (<< 7.0.28+dfsg-3)
Description: development files to build applications for BOINC projects
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains header files that are needed to develop and
 compile applications which utilizes the BOINC infrastructure.

Package: libboinc-app7
Provides: libboinc-app
Breaks: libboinc-app (<= 7.0.34+dfsg-1),
 boinc-dev (<< 7.0.28+dfsg-3)
Replaces: libboinc-app (<= 7.0.34+dfsg-1),
 boinc-dev (<< 7.0.28+dfsg-3)
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libraries for BOINC's scientific applications
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains dynamic libraries that are needed for applications
 which utilizes the BOINC infrastructure and the boinc-client itself.

Package: libboinc7
Provides: libboinc
Breaks: libboinc (<= 7.0.34+dfsg-1),
 boinc-dev (<< 7.0.28+dfsg-3)
Replaces: libboinc (<= 7.0.34+dfsg-1),
 boinc-dev (<< 7.0.28+dfsg-3)
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libraries of BOINC the client depends on
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 The environment offers a series of libraries that both the user-run
 client and the client-invoked scientific applications depend on. With
 the number of cores per machine growing, and with scientific apps
 commonly started for every core, it is essential to have memory
 shared as much as possible between binaries of all projects.

Package: boinc-dbg
Section: debug
Priority: extra
Architecture: any
Depends: boinc-client (= ${binary:Version}) | boinc-manager (= ${binary:Version}) | libboinc7 (= ${binary:Version}) | libboinc-app7 (= ${binary:Version}),
 ${misc:Depends}
Suggests: libcurl3-dbg, libssl1.0.0-dbg, libwxgtk2.8-dbg, boinc-server-dbg
Description: debugging symbols for BOINC binaries
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains unstripped versions of all binaries included in
 the BOINC client packages. It is provided primarily to provide a backtrace
 with names in a debugger, this makes it somewhat easier to interpret
 core dumps. For installations running a BOINC server locally, it may
 be of interest to also install the boinc-server-dbg package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Uncomment the following lines to compile with gcc-snapshot.
#export  CC=/usr/lib/gcc-snapshot/bin/gcc
#export CXX=/usr/lib/gcc-snapshot/bin/g++
#export CPP=/usr/lib/gcc-snapshot/bin/cpp


# Set default flags with dpkg-buildflags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

#export CXX=clang++

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  TYPE_FLAGS = --build $(DEB_HOST_GNU_TYPE)
else
  TYPE_FLAGS = --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# On some architectures it is required to change the BOINC platform of the
# core client (with the --with-boinc-platform configure option) to match the
# official BOINC platform, otherwise it would not download any applications,
# because projects mostly provide applications for official BOINC platforms
# only. See http://boinc.berkeley.edu/trac/wiki/BoincPlatforms for the list
# of official BOINC platforms.
#
# The table of architectures known to dpkg-architecture are listed on
#  /usr/share/dpkg/archtable

# Change BOINC platform alpha-unknown-linux-gnu to alpha-hp-linux-gnu and
# declare alpha-unknown-linux-gnu as alternate platform, because some projects
# offer applications for it.
ifeq ($(DEB_HOST_GNU_TYPE), alpha-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=alpha-hp-linux-gnu \
    --with-boinc-alt-platform=alpha-unknown-linux-gnu
endif

# Change BOINC platform i486-pc-linux-gnu to i686-pc-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), i486-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=i686-pc-linux-gnu
endif

# Change BOINC platform x86_64-linux-gnu to x86_64-pc-linux-gnu.
# Keeping the previous name temporarily.
# The 32bit variants shall allow the execution of 32 bit 
# executable in case the scientific application is no available
# for the complete bit size.
ifeq ($(DEB_HOST_GNU_TYPE), x86_64-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=x86_64-pc-linux-gnu
  # wrong previous name (since regular Debian name)
  TYPE_FLAGS += --with-boinc-alt-platform=x86_64-linux-gnu
  # if we did the following, the the ia32 libs would
  # need to become a dependency - which is not wanted by too many
  #TYPE_FLAGS += --with-boinc-alt-platform=i686-pc-linux-gnu
endif

# Change BOINC platform i486-pc-kfreebsd-gnu to i686-pc-kfreebsd-gnu to be
# consistent with the official BOINC platform i686-pc-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), i486-kfreebsd-gnu)
  TYPE_FLAGS += --with-boinc-platform=i686-pc-kfreebsd-gnu
endif

# Declare i686-pc-kfreebsd-gnu as alternate platform for
# x86_64-pc-kfreebsd-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), x86_64-kfreebsd-gnu)
  TYPE_FLAGS += --with-boinc-platform=x86_64-pc-kfreebsd-gnu
  TYPE_FLAGS += --with-boinc-alt-platform=i686-pc-kfreebsd-gnu
endif

# Change BOINC platform ia64-unknown-linux-gnu to ia64-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), ia64-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=ia64-linux-gnu
endif

# Change BOINC platform powerpc-unknown-linux-gnu to powerpc-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), powerpc-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=powerpc-linux-gnu
endif

# Change BOINC platform powerpc64-unknown-linux-gnu to ppc64-linux-gnu and
# declare powerpc-linux-gnu as alternate platform.
ifeq ($(DEB_HOST_GNU_TYPE), powerpc64-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=ppc64-linux-gnu \
    --with-boinc-alt-platform=powerpc-linux-gnu
endif

# Change BOINC platform sparc-unknown-linux-gnu to sparc-sun-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), sparc-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=sparc-sun-linux-gnu
endif

# Not touching BOINC platform for hurd for the very moment.
# Manually specify the MAXPATHLEN for GNU where this limit
# is not existing.
ifeq ($(DEB_HOST_GNU_TYPE), i486-gnu)
  # setting it to the regular limit for the other flavours of Debian
  CFLAGS += -DMAXPATHLEN=4096
  #TYPE_FLAGS += --with-boinc-platform=i686-pc-hurd-gnu
endif

ifneq (clang++,$(CXX))

GCCVERSION=$(shell gcc --version | tr " " "\n" | egrep '^[0-9]+\.[0-9]+\.[0-9]+$$' | cut -f1,2 -d.)
# gcc 4.6 on precise has issues while gcc 4.7 on sid is just fine
ifneq (4.6,$(GCCVERSION))
ifneq (4.5,$(GCCVERSION))
ifneq (4.4,$(GCCVERSION))
 CFLAGS += -flto
 LDFLAGS += -flto
endif
endif
endif

endif

CFLAGS += -Wall
CXXFLAGS += -Wall
#LDFLAGS += -Wl,--as-needed
# hurd needs the following
LDFLAGS += -Wl,--no-add-needed


ifneq (,$(findstring clang,$(DEB_BUILD_OPTIONS)))
  export CXX=clang
endif

ifeq (,$(DEB_OPT_FLAGS))
   DEB_OPT_FLAGS = -O3 -funroll-loops -fforce-addr -ffast-math
endif

CFLAGS += $(DEB_OPT_FLAGS)
CXXFLAGS += $(DEB_OPT_FLAGS)

CFLAGS_boinc-client := $(CFLAGS)
CXXFLAGS_boinc-client := $(CXXFLAGS)

#copy the original control.in file
$(shell cp debian/control.in debian/control)
$(shell sed '/^#/d' -i debian/control)

# check if we need to enable server packages, based on "exp" string in changelog
ENABLE_SERVER_TEST := $(shell dpkg-parsechangelog | egrep '^Distribution:' |egrep -v 'experimental|UNRELEASED')

ifeq (,$(ENABLE_SERVER_TEST))
$(shell sed 's/^%//' -i debian/control)
else
$(shell sed '/^%/d' -i debian/control)
endif

#ENABLE_SERVER_TEST := $(shell egrep '^Package:.*boinc-server-maker' debian/control debian/control.in | grep -v boinc-server-maker)
ifeq (,$(ENABLE_SERVER_TEST))
ENABLE_SERVER := --enable-server
endif

#ENABLE_CLIENT_TEST := $(shell egrep '^Package:.*boinc$$' debian/control debian/control.in)
#ifneq (,$(ENABLE_CLIENT_TEST))
ENABLE_CLIENT := --enable-client --enable-manager --enable-dynamic-client-linkage
$(shell sed 's/^@//' -i debian/control)
#else
#ENABLE_CLIENT := --disable-client --disable-manager
#$(shell sed '/^@/d' -i debian/control)
#endif

# --disable-static
# For debugging, these options are useful:
#   --enable-debug
#   --enable-wx-debug (need to install libwxbase2.8-dbg and libwxgtk2.8-dbg)
CFGFLAGS_boinc-client = \
  $(TYPE_FLAGS) \
  --prefix=/usr \
  $(ENABLE_CLIENT) \
  $(ENABLE_SERVER) \
  --disable-fcgi \
  --enable-libraries \
  --enable-unicode \
  --enable-shared \
  --with-ssl \
  --with-x \
  CFLAGS="$(CFLAGS_boinc-client)" \
  CXXFLAGS="$(CXXFLAGS_boinc-client)" \
  CPPFLAGS="$(CPPFLAGS)" \
  LDFLAGS="$(LDFLAGS)"


# Default rule

%:
	dh $@ --parallel --with python2
#	if [ ! -f debian/control -o debian/control.in -nt debian/control ]; then \
		echo "Generating debian/control file from debian/control.in" ; \
		( \
		if egrep -q '^Package:.*boinc-server-maker' debian/control.in; then \
			sed -e 's/^%//' debian/control.in ; \
		else \
			egrep -v '^%' debian/control.in ; \
		fi \
		) | ( \
		if egrep -q '^Package:.*boinc$$' debian/control.in; then \
			sed -e 's/^@//' ; \
		else \
			sed -e '/^@/d' ; \
		fi \
		) > debian/control; \
	fi

override_dh_clean:
	dh_clean
	rm -rf config.log
	rm -rf clientscr/.libs override_dh_auto_install
	rm -rf debian/boinc-app-examples   debian/boinc-app-examples.substvars
	rm -rf debian/boinc-server-maker   debian/boinc-server-maker.substvars
	rm -rf debian/boinc-server-dbg     debian/boinc-server-dbg.substvars
	rm -rf debian/boinc-cgi-stripchart debian/boinc-cgi-stripchart.substvars
	rm -rf debian/*.debhelper
	rm -rf debian/tmp autoreconf-stamp build-*-stamp install-*-stamp
	rm -fr debian/boinc-amd-opencl debian/boinc-screensaver # for cases when this is not in debian/control
	rm -f debian/boinc-screensaver.substvars debian/boinc-amd-opencl.substvars # dito
	rm -f debian/boinc-cgi-stripchart.substvars
	# sudden differences yet remaining to be resolved
	rm -f api/libboinc_graphics2.la
	rm -f test-driver
	rm -f sched/adjust_user_priority sched/size_regulator
	rm -f config.status libtool version.h stamp-h1
	find . -name ".libs" | xargs -r rm -r

# Commands not to execute - empty overrides
override_dh_auto_test:

#test-stamp:
#	dh_testdir
#	xmllint --nonet --noout \

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
http://boinc.berkeley.edu/git/boinc-v2.git/refs/tags/client_release/(\d).(\d)/(\d.*) \
debian /bin/sh debian/get-orig-source.sh

## boinc 7.4.8+dfsg

=== debian/changelog ===
boinc (7.4.8+dfsg-3ubuntu1) utopic; urgency=medium

  * Cherry-pick from unstable:
    - Add libcudart6.0 compatibility.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 Oct 2014 13:58:30 +0100

boinc (7.4.8+dfsg-3) unstable; urgency=medium

  * Upload to unstable.
  * Reverting some control.in changes to let the package
    be NMUable.
  * Remove a .o file from server-maker package

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 18 Jul 2014 10:54:49 +0200

boinc (7.4.8+dfsg-2exp1) experimental; urgency=medium

  * Upload to experimental.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 16 Jul 2014 16:50:27 +0200

boinc (7.4.8+dfsg-2) unstable; urgency=medium

  [ Steffen Moeller ]
  * Move ati and nvidia libraries from depends to suggests,
    avoiding the removals from testing at each xorg transition.

  [ Gianfranco Costamagna ]
  * Change libwxgtk2.8-dbg to libwxgtk3.0-0-dbg.
  * Add some cuda suggestions, to help both ubuntu and debian users
    Thanks Danilo for the patch.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 04 Jul 2014 14:22:31 +0200

boinc (7.4.8+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 28 Jun 2014 12:55:35 +0200

boinc (7.4.8+dfsg-1) unstable; urgency=medium

  * New upstream release. (LP: #1332955)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 28 Jun 2014 12:35:21 +0200

boinc (7.4.7+dfsg-1exp1) experimental; urgency=medium

  * New upstream release.

  [ Steffen Moeller ]
  * Automatic download of Linux BOINC server apps.

  [ Guo Yixuan (郭溢譞) ]
  * Dropped ticket_1168_verifycerts.patch: the bug was already fixed.
  * Dropped several debugging-only patches:
    - investigate_boinc_api.patch
    - opendir_errno.patch
    - opendir_error_messages.patch
    - slot_dir_source_trace.patch
    - improve_opendir_warning.patch
  * Dropped sched_driver_f_free.patch: the relevant part was already
    merged in upstream.

  [ Gianfranco Costamagna ]
  * Dropped fix-747964.patch (Reopen: #747964)
    Upstream says this is unreachable code, no need to fix.
  * Update cc_config.xml link, thanks to Danilo for the report.

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Mon, 23 Jun 2014 22:00:17 -0400

boinc (7.4.1+dfsg-1exp1) experimental; urgency=medium

  * New upstream release, some api changes, patch refresh
  * d/r: Removing some buildflags includes.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 11 Jun 2014 12:25:03 +0200

boinc (7.3.19+dfsg-3exp1) experimental; urgency=medium

  * Upload to experimental

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 02 Jun 2014 22:53:22 +0200

boinc (7.3.19+dfsg-3) unstable; urgency=medium

  * Upload to unstable, with disabled dependency tracking
    again, and disabled parallel builds.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 02 Jun 2014 22:42:40 +0200

boinc (7.3.19+dfsg-2exp2) experimental; urgency=low

  * Trying to fix FTBFS by disabling parallel builds.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 02 Jun 2014 08:10:31 +0200

boinc (7.3.19+dfsg-2exp1) experimental; urgency=medium

  * Upload to experimental, with server packages.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 30 May 2014 15:35:34 +0200

boinc (7.3.19+dfsg-2) unstable; urgency=low

  [ Guo Yixuan (郭溢譞) ]
  * Use more debhelper features.
  * Dropped some patches
    - parse_issues.patch: since the relevant part has been applied by
      the upstream already.
    - nvidia_mem_display_simplification.patch: the relevant part was
      already removed in a previous adjustment.

  [ Gianfranco Costamagna ]
  * Upload to unstable (Closes: #749843, #747964, #746830)
  * Fix typo in debian/rules, we were unnecessarily building server stuff.
  * Split the server dynamic linkage away from Missing_libSched.patch in a new
    boinc-server-dynamic-libs.patch patch

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 30 May 2014 15:27:55 +0200

boinc (7.3.19+dfsg-1) experimental; urgency=low

  * New upstream release, wx3.0 compatible.
    - add libwxgtk-webview3.0-dev as B-D
  * Removed patches addressed upstream:
    - 0001-Client-Unix-attempt-to-fix-freebsd-build-error.patch
    - correctly-set-OBJCXX.patch
    - hurd-ftbfs.patch
    - fixed-tools-permissions.patch
    - fix-android-build.patch
    - fix-file-perms.patch
    - fix-italian-po.patch
    - fix-lp-1274456.patch
  * Removed fix-add-exclusive-app.patch, addressed in wx3.0 switch
  * Tweak envargs patch, changing prototype.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 21 May 2014 16:49:07 +0200

boinc (7.2.47+dfsg-3) UNRELEASED; urgency=medium

  * Add return values to envargs function (Closes: #747964)
    Note: upstream didn't apply this patch because it seems to be
    unreachable code.
  * Fix gcc-4.9 build failure (Closes: #746830)
    - debian/patches/Missing_libSched.patch
    - patches/correctly-set-OBJCXX.patch

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sun, 18 May 2014 20:58:51 +0200

boinc (7.2.47+dfsg-2exp1) experimental; urgency=medium

  * Release to experimental

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sun, 18 May 2014 20:53:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: boinc
 Section: net
 Priority: optional
-Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>, 
  Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
  Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
@@ -12,7 +13,7 @@
  docbook2x, docbook-xml, libxml2-utils,
  zlib1g-dev, libssl-dev, libcurl4-openssl-dev,
  libsm-dev, libice-dev, libxmu-dev, libxi-dev, libx11-dev, libnotify-dev (>= 0.7.0),
- freeglut3-dev, libwxgtk2.8-dev, libgtk2.0-dev,
+ freeglut3-dev, libwxgtk3.0-dev, libwxgtk-webview3.0-dev, libgtk2.0-dev,
  libsqlite3-dev, libmysqlclient-dev, python, libfcgi-dev, libjpeg-dev,
  libxcb-util0-dev, libxcb-dpms0-dev,
  libxss-dev, libxext-dev
@@ -23,7 +24,7 @@
 Package: boinc
 Architecture: all
 Depends: ${misc:Depends},
- boinc-client (>= ${binary:Version}), boinc-manager (>= ${binary:Version})
+ boinc-client (>= ${source:Version}), boinc-manager (>= ${source:Version})
 Description: metapackage for the BOINC client and the manager
  The Berkeley Open Infrastructure for Network Computing (BOINC) is a
  software platform for distributed computing: several initiatives of
@@ -37,13 +38,12 @@
  BOINC Manager, a graphical monitor and control utility for the
  BOINC core client.
 
-# Not compatible with Wheezy with direct notion of libcuda1:i386 [amd64]
 Package: boinc-nvidia-cuda
 Architecture: amd64 i386
 Section: contrib/net
 Priority: extra
-Depends: ${misc:Depends}, boinc, libcuda1 | libcuda-5.0-1 | nvidia-304 | nvidia-310 | nvidia-319,
-Recommends: libcuda1-i386 [amd64] | libcuda-5.0-1-i386 [amd64]
+Depends: ${misc:Depends}
+Recommends: libcuda1 | libcuda-5.0-1 | libcuda-5.5-1 | nvidia-173 | nvidia-current | nvidia-current-updates | nvidia-304 | nvidia-304-updates | nvidia-310 | nvidia-310-updates | nvidia-313-updates | nvidia-319 | nvidia-319-updates | nvidia-331 | nvidia-331-updates | libcuda1-304 | libcuda1-304-updates | libcuda1-331 | libcuda1-331-updates, libcudart4 | libcudart5.0 | libcudart5.5 | libcudart6.0
 Description: metapackage for CUDA-savvy BOINC client and manager
  The Berkeley Open Infrastructure for Network Computing (BOINC) is a
  software platform for distributed computing: several initiatives of
@@ -62,7 +62,8 @@
 Architecture: amd64 i386
 Section: contrib/net
 Priority: extra
-Depends: ${misc:Depends}, boinc, fglrx-driver, amd-libopencl1|fglrx|fglrx-updates
+Depends: ${misc:Depends}
+Recommends: fglrx-driver, amd-libopencl1 | fglrx | fglrx-updates
 Description: metapackage for AMD/ATI OpenCL-savvy BOINC client and manager
  The Berkeley Open Infrastructure for Network Computing (BOINC) is a
  software platform for distributed computing: several initiatives of
@@ -85,11 +86,11 @@
 Package: boinc-client
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libboinc7 (= ${binary:Version}),
+ libboinc7 (>= ${source:Version}),
  ${python:Depends},
  adduser,
  ca-certificates
-Suggests: boinc-manager, x11-xserver-utils, libcuda1-i386 [amd64] | libcuda-5.0-1-i386 [amd64]
+Suggests: boinc-manager, boinc-amd-opencl, boinc-nvidia-cuda, x11-xserver-utils
 Description: core client for the BOINC distributed computing infrastructure
  The Berkeley Open Infrastructure for Network Computing (BOINC) is a
  software platform for distributed computing: several initiatives of
@@ -151,9 +152,9 @@
  libboinc-app7 (>= ${source:Version}),
  libboinc-app7 (<< ${source:Version}+1~),
  libc6-dev | libc-dev,
- libstdc++6-4.7-dev | libstdc++-dev, libssl-dev, libmysqlclient-dev
-Breaks: boinc-dev (<< 7.0.28+dfsg-3)
-Replaces: boinc-dev (<< 7.0.28+dfsg-3)
+ libstdc++6-4.7-dev | libstdc++-4.8-dev | libstdc++-4.9-dev, libssl-dev, libmysqlclient-dev
+Breaks: boinc-dev (<< ${source:Version})
+Replaces: boinc-dev (<< ${source:Version})
 Description: development files to build applications for BOINC projects
  The Berkeley Open Infrastructure for Network Computing (BOINC) is a
  software platform for distributed computing using volunteered computer
@@ -203,9 +204,9 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: boinc-client (= ${binary:Version}) | boinc-manager (= ${binary:Version}) | libboinc7 (= ${binary:Version}) | libboinc-app7 (= ${binary:Version}),
+Depends: boinc-client (>= ${source:Version}) | boinc-manager (>= ${source:Version}) | libboinc7 (= ${source:Version}) | libboinc-app7 (= ${source:Version}),
  ${misc:Depends}
-Suggests: libcurl3-dbg, libssl1.0.0-dbg, libwxgtk2.8-dbg, boinc-server-dbg
+Suggests: libcurl3-dbg, libssl1.0.0-dbg, libwxgtk3.0-0-dbg,
 Description: debugging symbols for BOINC binaries
  The Berkeley Open Infrastructure for Network Computing (BOINC) is a
  software platform for distributed computing using volunteered computer

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,6 @@
 
 # Set default flags with dpkg-buildflags
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
 
 #export CXX=clang++
 
@@ -29,7 +27,7 @@
 # core client (with the --with-boinc-platform configure option) to match the
 # official BOINC platform, otherwise it would not download any applications,
 # because projects mostly provide applications for official BOINC platforms
-# only. See http://boinc.berkeley.edu/trac/wiki/BoincPlatforms for the list
+# only. See https://boinc.berkeley.edu/trac/wiki/BoincPlatforms for the list
 # of official BOINC platforms.
 #
 # The table of architectures known to dpkg-architecture are listed on
@@ -148,6 +146,7 @@
 
 # check if we need to enable server packages, based on "exp" string in changelog
 ENABLE_SERVER_TEST := $(shell dpkg-parsechangelog | egrep '^Distribution:' |egrep -v 'experimental|UNRELEASED')
+#ENABLE_SERVER_TEST := $(shell egrep '^Package:.*boinc-server-maker' debian/control debian/control.in | grep -v boinc-server-maker)
 
 ifeq (,$(ENABLE_SERVER_TEST))
 $(shell sed 's/^%//' -i debian/control)
@@ -155,7 +154,6 @@
 $(shell sed '/^%/d' -i debian/control)
 endif
 
-#ENABLE_SERVER_TEST := $(shell egrep '^Package:.*boinc-server-maker' debian/control debian/control.in | grep -v boinc-server-maker)
 ifeq (,$(ENABLE_SERVER_TEST))
 ENABLE_SERVER := --enable-server
 endif
@@ -172,10 +170,15 @@
 # --disable-static
 # For debugging, these options are useful:
 #   --enable-debug
-#   --enable-wx-debug (need to install libwxbase2.8-dbg and libwxgtk2.8-dbg)
+#   --enable-wx-debug (need to install libwxbase3.0-0-dbg and libwxgtk3.0-0-dbg)
+#
+# The --libdir and --libexecdir is added to turn off
+# the debhelper multiarch feature.
 CFGFLAGS_boinc-client = \
   $(TYPE_FLAGS) \
   --prefix=/usr \
+  --libdir=/usr/lib \
+  --libexecdir=/usr/lib \
   $(ENABLE_CLIENT) \
   $(ENABLE_SERVER) \
   --disable-fcgi \
@@ -193,7 +196,7 @@
 # Default rule
 
 %:
-	dh $@ --parallel --with python2
+	dh $@ --with python2
 #	if [ ! -f debian/control -o debian/control.in -nt debian/control ]; then \
 		echo "Generating debian/control file from debian/control.in" ; \
 		( \
@@ -234,6 +237,3 @@
 # Commands not to execute - empty overrides
 override_dh_auto_test:
 
-#test-stamp:
-#	dh_testdir
-#	xmllint --nonet --noout \
